GPP=g++
GCC=gcc
LINUXCONF_REV=1.6
SBIN=/sbin
ETC=/etc
HELP=/usr/lib/linuxconf
# Some path to stuff the LADR distribution
SBIN_LADR=/n/pc_jac/diska/umsdos/base/admin/sbin
BIN_LADR=/n/pc_jac/diska/umsdos/base/admin/bin
ETC_LADR=/n/pc_jac/diska/umsdos/base/admin/etc
HELP_LADR=/n/pc_jac/diska/umsdos/base/admin/usr/lib/linuxconf

all:
	@for i in $(DIRS); do make GCC=$(GCC) GPP=$(GPP) -C $$i $@ ; done


checker:
	@$(MAKE) GPP=checkerg++ GCC=checkergcc all

ifdef DIRS
install: $(LOCAL_INSTALL) install_subdirs $(LOCAL_POSTINSTALL)

install_subdirs:
	@echo doing subdirs
	@for i in $(DIRS); do make -C $$i install ; done
	@echo end subdirs

else
install: $(LOCAL_INSTALL) $(LOCAL_POSTINSTALL)
endif


install_ladr: $(LOCAL_INSTALLLADR)
	@for i in $(DIRS); do make -C $$i $@ ; done

clean: $(LOCAL_CLEAN)
	rm -f x *.o *.obt *.bak *~ *.a *.old *.log *.nap *.nar
	@for i in $(DIRS); do make -C $$i clean ; done


LIBS = ../askrunlevel/askrunlevel.a \
	../netconf/netconf.a \
	../fstab/fstab.a \
	../dnsconf/dnsconf.a \
	../mailconf/mailconf.a \
	../xconf/xconf.a ../userconf/userconf.a\
	../uucp/uucp.a \
	../translate/translate.a ../misc/misc.a ../dialog/dialog.a \
	-lncurses $(LIBDYNAMIC)

.SUFFIXES: .o .obt .help .html .sgml .txt .doc .tex

CPP_DEFINES=-DPUBLIC= -DPROTECTED= -DPRIVATE= -DVIRTUAL=
DEF_NCURSES=-DHAVE_NCURSES -I/usr/include/ncurses
ifdef OLDGCC
FLAGS=-funsigned-char -g -O2 -Wall -DLINUXCONF_AOUT
BINFORM=aout
else
# For gcc 2.7.x
FLAGS=-fno-for-scope -funsigned-char -g -O2 -Wall
BINFORM=elf
LIBDYNAMIC=-ldl
OPTDYNAMIC=-rdynamic
endif

.c.o:
	@echo "    " $<
	@$(GPP) $(CPP_DEFINES) $(DEF_NCURSES) $(FLAGS) -c $< -o $@

# Trick to compile test program at the end of a source
.c.obt:
	@echo $< '->' $@
	@$(GPP) -DREVISION=\"$(LINUXCONF_REV)\"  -DTEST $(CPP_DEFINES) \
		$(DEF_NCURSES) $(FLAGS) -c $< -o $@

# Path of the linuxdoc-sgml package (used to format HOWTOs)
#LINUXDOC=/usr/lib/linuxdoc-sgml/bin
#FORMAT=$(LINUXDOC)/format
#QTEX=$(LINUXDOC)/qtex
#QROFF=$(LINUXDOC)/qroff

.sgml.txt:
	@echo Formatting $< '->' $@
	sgml2txt -l $<
	sgml2html -l $<

.sgml.html:
	@echo Formatting $< '->' $@
	sgml2html -l $<

.sgml.tex:
	@echo Formatting $< '->' $@
	sgml2latex -l $<


.txt.help:
	@mv $< $@

.txt.doc:
	@../translate/sgml2flat $< $@
	@rm -f $<
	
MSGDICS=askrunlevel dialog dnsconf fstab misc main netconf mailconf \
		uucp userconf


# Produce the binary dictionnary (Message translation)
# English message (originals)
msg.eng:
	../translate/msgcomp -p../messages/sources/ \
		/tmp/linuxconf-msg-$(LINUXCONF_REV).eng eE \
		$(MSGDICS)

# French canadian
msg.cfr:
	../translate/msgcomp -p../messages/sources/ -p../messages/cfr/ \
		/tmp/linuxconf-msg-$(LINUXCONF_REV).cfr feE \
		$(MSGDICS)

upd.cfr:
	../translate/msgupd -s../messages/sources/ -d../messages/cfr/ \
		$(MSGDICS)

_dict.o: _dict.c $(CURDIR).m

lib: $(CURDIR).a

$(CURDIR).a: $(OBJS)
	ar cr $(CURDIR).a $(OBJS)
	ranlib $(CURDIR).a

msg:
	../translate/msgscan $(CURDIR) \
		../messages/sources/$(CURDIR).dic $(CURDIR).m EF *.c

msg.clean:
	../translate/msgclean ../messages/sources/$(CURDIR).dic
	../translate/msgscan $(CURDIR) \
		../messages/sources/$(CURDIR).dic $(CURDIR).m EF *.c

