/* _dict.c 14/04/96 23.56.52 */
/* group.c 15/06/96 00.50.04 */
PRIVATE void GROUP::settbmem (char **members);
PRIVATE void GROUP::init (const char *_name,
	 const char *_passwd,
	 int _gid,
	 char **members);
PUBLIC GROUP::GROUP (const char *_name,
	 const char *_passwd,
	 int _gid,
	 char **members);
PUBLIC GROUP::GROUP (void);
PUBLIC GROUP::GROUP (struct group *p);
PUBLIC GROUP::~GROUP (void);
PUBLIC void GROUP::write (FILE *fout);
PUBLIC const char *GROUP::getname (void);
PUBLIC int GROUP::getgid (void);
PRIVATE int GROUP::check (USERS&users,
	 GROUPS&groups,
	 GROUP *realone);
PUBLIC int GROUP::edit (USERS&users, GROUPS&groups);
/* groups.c 15/06/96 00.49.00 */
PUBLIC GROUPS::GROUPS (void);
PUBLIC GROUPS::~GROUPS (void);
PUBLIC GROUP *GROUPS::getitem (int no);
PUBLIC GROUP *GROUPS::getitem (const char *name);
PUBLIC int GROUPS::getgid (const char *name);
PUBLIC int GROUPS::write (void);
PUBLIC const char *GROUPS::getdefault (void);
PUBLIC GROUP *GROUPS::getfromgid (int gid);
PUBLIC int GROUPS::getnew (void);
PUBLIC void GROUPS::sortbyname (void);
PUBLIC int GROUPS::edit (void);
/* helpf.c 27/08/95 13.33.22 */
PUBLIC USERCONF_HELP_FILE::USERCONF_HELP_FILE (const char *fname);
/* internal.c 27/08/95 12.26.28 */
/* passwd_valid.c 01/03/96 21.05.56 */
PUBLIC void PASSWD_VALID::write (void);
PUBLIC PASSWD_VALID::PASSWD_VALID (void);
PUBLIC void PASSWD_VALID::edit (void);
/* perm.c 21/07/96 00.17.04 */
/* privi.c 20/07/96 23.40.46 */
PUBLIC PRIVILEGE::PRIVILEGE (const char *_id);
PUBLIC PRIVILEGE_DATA_SIMPLE::PRIVILEGE_DATA_SIMPLE (const char *line);
PUBLIC PRIVILEGE_DATA_SIMPLE::PRIVILEGE_DATA_SIMPLE (void);
PUBLIC void PRIVILEGE_DATA_SIMPLE::format_ascii (char *line);
PUBLIC int PRIVILEGE_DATA_SIMPLE::validate (void);
PUBLIC void PRIVILEGE_DATA_SIMPLE::setdialog (DIALOG&dia);
PUBLIC VIRTUAL PRIVILEGE_DATA *PRIVILEGE::getdata (const char *line);
/* shadow.c 21/07/96 00.19.20 */
PUBLIC SHADOW::SHADOW (const char *line);
PUBLIC SHADOW::SHADOW (void);
PUBLIC const char *SHADOW::getpwd (void);
PUBLIC void SHADOW::write (FILE *fout);
PUBLIC SHADOWS::SHADOWS (void);
PUBLIC SHADOW *SHADOWS::getitem (int no);
PUBLIC SHADOW *SHADOWS::getitem (const char *name);
PUBLIC int SHADOWS::write (void);
/* shells.c 22/07/95 16.46.44 */
/* special.c 07/04/96 22.52.36 */
/* user.c 21/07/96 00.19.14 */
PRIVATE void USER::init (const char *_name,
	 const char *_passwd,
	 int _uid,
	 int _gid,
	 const char *_gecos,
	 const char *_dir,
	 const char *_shell);
PUBLIC USER::USER (const char *_name,
	 const char *_passwd,
	 int _uid,
	 int _gid,
	 const char *_gecos,
	 const char *_dir,
	 const char *_shell);
PUBLIC USER::USER (void);
PUBLIC USER::USER (const char *line);
PUBLIC USER::USER (struct passwd *p);
PUBLIC USER::~USER (void);
PUBLIC const char *USER::getpwd (void);
PUBLIC void USER::write (FILE *fout);
PUBLIC const char *USER::getname (void);
PUBLIC const char *USER::getgecos (void);
PUBLIC int USER::getuid (void);
PUBLIC int USER::getgid (void);
PUBLIC const char *USER::getshell (void);
PUBLIC int USER::is_admin (void);
PUBLIC int USER::is_special (void);
PRIVATE int USER::check (USERS&users, GROUPS&groups, int full);
PUBLIC int USER::checkhome (char *status);
PUBLIC void USER::setname (const char *_name);
PUBLIC int USER::sethome (void);
PUBLIC int USER::edit (USERS&users, GROUPS&groups, int is_new);
PRIVATE void USER::update_passwd (const char *newp,
	 SHADOW *shadow,
	 int is_lock);
PUBLIC int USER::editpass (int lock_available, SHADOW *shadow);
PUBLIC int USER::edithispass (SHADOW *shadow);
PUBLIC int USER::edithispass_notty (SHADOW *shadow);
/* user1.c 10/08/95 10.31.24 */
PUBLIC int USER::is_like (USER *other);
PUBLIC void USER::setlike (USER *other);
/* userconf.c 20/07/96 23.32.16 */
/* users.c 20/07/96 23.54.16 */
PUBLIC USERS::USERS (void);
PUBLIC USERS::~USERS (void);
PUBLIC USER *USERS::getitem (int no);
PUBLIC USER *USERS::getitem (const char *name);
PUBLIC SHADOW *USERS::getshadow (USER *usr);
PUBLIC void USERS::addshadow (SHADOW *shadow);
PUBLIC USER *USERS::getfromuid (int uid);
PUBLIC int USERS::getnewuid (int gid);
PUBLIC int USERS::write (void);
PUBLIC USER *USERS::select (USER *like,
	 int may_add,
	 MENU_STATUS&code,
	 int &choice);
PUBLIC int USERS::addone (USER *special,
	 const char *name,
	 GROUPS&groups);
PUBLIC int USERS::edit (USER *special);
PUBLIC void USERS::sortbyname (void);
PUBLIC void USERS::sortbygid (void);
PUBLIC int USERS::editpass (USER *special);
